C =  reaper.Undo_CanUndo2(0)
CC=  reaper.Undo_CanRedo2(0)

if C == nil then
C = " Unavailable "
end
if  CC == nil then
CC= " Unavailable "
end
ZF = "Undo " ..C .. " Redo " .. CC

reaper.osara_outputMessage(ZF)
